/*
 * Created on 16.10.2004
 *
 */
package construction;

import javax.media.j3d.IndexedGeometryArray;

/**
 * Schnittstelle, welche Methoden zur Ereignissbehandlung bereitstellt.
 * 
 * @author Martin Hedler
 * @version 1.0 (2005/01/31)
 */
public interface PlaneListener
{
    /**
     * Wird von einer Plane aufgerufen, wenn die Geometrie der Plane neu
     * erstellt wurde.
     * 
     * @param geometry Die neuerstellte, aber noch nicht in das Shape3D Objekt
     *           eingef&uuml;gte Geometrie. 
     */
    public void newGeometryCreated(IndexedGeometryArray geometry);
}
