/*
 * Created on 05.02.2005
 *
 */
package interaction;

import java.awt.event.MouseEvent;

import com.sun.j3d.utils.picking.PickResult;

/**
 * Schnittstelle zur Nutzung der Klasse {@linkplain interaction.PickBehavior}.
 * 
 * @author Martin Hedler
 * @version 1.0 (2005/04/25)
 */
public interface PickListener
{
    /**
     * Wird aufgerufen, wenn eine Maustaste gedr&uuml;ckt wurde.
     *
     * @param pR Das Result des Pickings.
     * @param event Das ausl&ouml;sende Mausereigniss.
     */
    public void pressed(PickResult pR, MouseEvent event);
    
    /**
     * Wird aufgerufen, wenn eine Maustaste losgelassen wurde.
     *
     * @param pR Das Result des Pickings.
     * @param event Das ausl&ouml;sende Mausereigniss.
     */
    public void released(PickResult pR, MouseEvent event);
}
